Bug 1226369 - Unneeded dependency on initscripts
Summary: Unneeded dependency on initscripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-29 14:59 UTC by Marcel Holtmann
Modified: 2016-05-31 09:21 UTC (History)
5 users (show)

Fixed In Version: 9.10.2-2.fc23 open-vm-tools-10.0.5-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-31 09:21:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Marcel Holtmann 2015-05-29 14:59:30 UTC
The open-vm-tools should not depend on initscripts package. There is no need for it. It should be all provided by systemd service files.

Comment 1 Ravindra Kumar 2015-06-08 20:59:54 UTC
There are some scripts that need 'ifup' from 'initscripts' package. Though it is not a hard dependency as there is fallback path in the script that calls 'ifup'.

So, we can probably remove this dependency if 'initscripts' package is being deprecated.

Comment 2 Marcel Holtmann 2015-06-09 09:45:16 UTC
If it is not a hard dependency, then it should be removed.

Comment 3 Marcel Holtmann 2015-08-25 22:24:17 UTC
Can the dependency be removed since it seems it not required at all.

Comment 4 Richard W.M. Jones 2015-08-25 22:29:35 UTC
For Fedora >= 23, this may be a good candidate for change Requires
to Suggests.  'dnf' will not install Suggests packages by default, and
will allow the dependent package to be removed.

https://lists.fedoraproject.org/pipermail/devel/2015-July/212181.html

Comment 5 Simone Caronni 2015-08-26 13:03:20 UTC
(In reply to Marcel Holtmann from comment #3)
> Can the dependency be removed since it seems it not required at all.

Yes, so it seems. I've rebuilt the latest package with the requirement removed.

Comment 6 Fedora Update System 2015-08-26 14:56:58 UTC
open-vm-tools-9.10.2-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14336

Comment 7 Fedora Update System 2015-08-26 14:57:10 UTC
open-vm-tools-9.10.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14337

Comment 8 Fedora Update System 2015-08-26 14:57:20 UTC
open-vm-tools-9.10.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14338

Comment 9 lnie 2015-08-27 06:09:08 UTC
open-vm-tools-9.10.2-2.fc22 works

Comment 10 Fedora Update System 2015-08-28 18:53:28 UTC
open-vm-tools-9.10.2-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update open-vm-tools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14336

Comment 11 Fedora Update System 2015-08-28 18:58:08 UTC
open-vm-tools-9.10.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update open-vm-tools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14338

Comment 12 Fedora Update System 2015-08-31 18:53:33 UTC
open-vm-tools-9.10.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update open-vm-tools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14337

Comment 13 Fedora Update System 2015-09-01 18:31:37 UTC
open-vm-tools-9.10.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-10-01 07:20:17 UTC
open-vm-tools-10.0.0-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bcae3aae6b

Comment 15 Fedora Update System 2015-10-01 07:20:17 UTC
open-vm-tools-10.0.0-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa358c7ef8

Comment 16 Fedora Update System 2015-10-04 01:37:29 UTC
open-vm-tools-10.0.0-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update open-vm-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-aa358c7ef8

Comment 17 Fedora Update System 2015-10-04 02:21:19 UTC
open-vm-tools-10.0.0-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update open-vm-tools'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bcae3aae6b

Comment 18 Ravindra Kumar 2015-10-05 18:34:05 UTC
Please ignore comment 14-17. Bodhi picked this bug even though it wasn't selected in the checkbox. Sorry for the inconvenience.

Comment 19 Fedora Update System 2016-05-25 19:19:50 UTC
open-vm-tools-10.0.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-36485d53b0

Comment 20 Fedora Update System 2016-05-26 04:53:29 UTC
open-vm-tools-10.0.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-36485d53b0

Comment 21 Fedora Update System 2016-05-31 09:21:21 UTC
open-vm-tools-10.0.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.